#ifndef ENGINE_H
#define ENGINE_H

#ifdef _WIN32
#	include <windows.h>
#	include <gl\gl.h>
#	include <gl\glu.h>
#endif
#include <string>

#define SCREEN_RES_X 1024
#define SCREEN_RES_Y 768
#define COLOR_DEPTH 32
#define FSAA 4
#define UPDATE_INTERVAL 10
#define GAME_NAME "VoPiTe"

#define KEY_ACTION 0x20
#define KEY_UP 0x26
#define KEY_DOWN 0x28

// Must be defined outside
extern bool Init();
extern bool Free();
extern bool Process(bool keys[256]);
extern bool Render();
//

#define scale(s) glScalef(s,s,s)
#define torad (3.14159265/180.f)
#define todeg (180.f/3.14159265)

std::string IntToStr(int val);
void DrawText(std::string txt, float size = 1);
void DrawQuad(bool line = false);
void DrawDisc(bool line = false);
void DrawCube();
bool CheckCollide(float x1, float y1, float r1, float x2, float y2, float r2);
void PlayMusic();
void CloseMusic();
bool InitEng();

#endif